using System;
using System.Globalization;
using System.Reflection;

internal sealed class Delegate16 : MulticastDelegate
{
	public extern object Invoke(object object_0, object object_1, BindingFlags bindingFlags_0, Binder binder_0, object[] object_2, CultureInfo cultureInfo_0);

	public static object smethod_0(object object_0, object object_1, BindingFlags bindingFlags_0, Binder binder_0, object[] object_2, CultureInfo cultureInfo_0, Delegate16 delegate16_1)
	{
		return delegate16_1(object_0, object_1, bindingFlags_0, binder_0, object_2, cultureInfo_0);
	}

	public extern Delegate16(object object_0, IntPtr intptr_0);

	static Delegate16()
	{
		Class10.smethod_13(typeof(Delegate16).TypeHandle);
	}

	internal static Delegate16 delegate16_0;
}
